Subject: bug#67150: eglot with typescript language server >= 4.1.0

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Nov 2023 14:07:05 +0200

> Resent-To: [email-masked]
> From: João Távora <[email-masked]>
> Date: Tue, 14 Nov 2023 00:12:24 +0000
> 
> Thanks.  In the meantime I asked the server author some questions and
> it seems the change has been rolled back, with the server accepting 
> the old language-ids again.  But I've pushed the change to eglot.el
> anyway.  I think this bug can be closed, but let me know if you 
> disagree.

Any reasons not to backport this to the emacs-29 branch?